Bug 179471 - [PATCH] Fix devel/p5-Const-Fast after latest update
Summary: [PATCH] Fix devel/p5-Const-Fast after latest update
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Frederic Culot
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-06-10 23:40 UTC by geraud
Modified: 2013-06-13 18:20 UTC (History)
0 users

See Also:


Attachments
file.diff (598 bytes, patch)
2013-06-10 23:40 UTC, geraud
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description geraud 2013-06-10 23:40:00 UTC
Recent update of p5-Const-Fast broke the port as it requires a more recent version of p5-Sub-Exporter-Progressive than what we have in ports. (see ports/179468)

Fix: See attached patch.

This PR requires prior approval of ports/179468 

Patch attached with submission follows:
How-To-Repeat: Run the test suit
Comment 1 Edwin Groothuis freebsd_committer 2013-06-10 23:40:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Frederic Culot freebsd_committer 2013-06-11 06:19:12 UTC
Responsible Changed
From-To: perl->culot

I'll take it.
Comment 3 dfilter service freebsd_committer 2013-06-13 18:11:40 UTC
Author: culot
Date: Thu Jun 13 17:11:32 2013
New Revision: 320821
URL: http://svnweb.freebsd.org/changeset/ports/320821

Log:
  - Fix Sub::Exporter::Progressive minimum version requirements
  
  PR:		ports/179471
  Submitted by:	Geraud CONTINSOUZAS <geraud@gcu.info>

Modified:
  head/devel/p5-Const-Fast/Makefile

Modified: head/devel/p5-Const-Fast/Makefile
==============================================================================
--- head/devel/p5-Const-Fast/Makefile	Thu Jun 13 16:39:08 2013	(r320820)
+++ head/devel/p5-Const-Fast/Makefile	Thu Jun 13 17:11:32 2013	(r320821)
@@ -3,6 +3,7 @@
 
 PORTNAME=	Const-Fast
 PORTVERSION=	0.014
+PORTREVISION=	1
 CATEGORIES=	devel perl5
 MASTER_SITES=	CPAN
 MASTER_SITE_SUBDIR=	CPAN:LEONT
@@ -17,7 +18,7 @@ LICENSE_COMB=	dual
 BUILD_DEPENDS:=	${RUN_DEPENDS} \
 		p5-Module-Build-Tiny>=0.021:${PORTSDIR}/devel/p5-Module-Build-Tiny
 RUN_DEPENDS=	p5-Sub-Exporter>=0:${PORTSDIR}/devel/p5-Sub-Exporter \
-		p5-Sub-Exporter-Progressive>=0:${PORTSDIR}/devel/p5-Sub-Exporter-Progressive
+		p5-Sub-Exporter-Progressive>=0.001.007:${PORTSDIR}/devel/p5-Sub-Exporter-Progressive
 TEST_DEPENDS=	p5-Test-Exception>=0.29:${PORTSDIR}/devel/p5-Test-Exception
 
 PERL_MODBUILD=	yes
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Frederic Culot freebsd_committer 2013-06-13 18:12:10 UTC
State Changed
From-To: open->closed

Committed, with minor changes. Thanks!